Package org.apache.batchee.container.impl.controller

## Class ExecutionElementControllerFactory

- java.lang.Object
- - org.apache.batchee.container.impl.controller.ExecutionElementControllerFactory

-     public class ExecutionElementControllerFactory
      extends Object

- - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static DecisionController` | `getDecisionController​(ServicesManager servicesManager, RuntimeJobExecution jobExecutionImpl, Decision decision)` |
    `static FlowController` | `getFlowController​(ServicesManager servicesManager, RuntimeJobExecution jobExecutionImpl, Flow flow, long rootJobExecutionId)` |
    `static SplitController` | `getSplitController​(BatchKernelService kernel, RuntimeJobExecution jobExecutionImpl, Split split, long rootJobExecutionId)` |
    `static BaseStepController` | `getStepController​(RuntimeJobExecution jobExecutionImpl, Step step, StepContextImpl stepContext, long rootJobExecutionId, BlockingQueue<PartitionDataWrapper> analyzerQueue, ServicesManager servicesManager)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getStepController

          public static BaseStepController getStepController​(RuntimeJobExecution jobExecutionImpl,
                                                             Step step,
                                                             StepContextImpl stepContext,
                                                             long rootJobExecutionId,
                                                             BlockingQueue<PartitionDataWrapper> analyzerQueue,
                                                             ServicesManager servicesManager)

    - #### getDecisionController

          public static DecisionController getDecisionController​(ServicesManager servicesManager,
                                                                 RuntimeJobExecution jobExecutionImpl,
                                                                 Decision decision)

    - #### getFlowController

          public static FlowController getFlowController​(ServicesManager servicesManager,
                                                         RuntimeJobExecution jobExecutionImpl,
                                                         Flow flow,
                                                         long rootJobExecutionId)

    - #### getSplitController

          public static SplitController getSplitController​(BatchKernelService kernel,
                                                           RuntimeJobExecution jobExecutionImpl,
                                                           Split split,
                                                           long rootJobExecutionId)